require 'optparse'

opt = OptionParser.new
# -aオプションが渡されたときにブロックを実行
opt.on('-a') { puts "-aが渡されました" }
# -bおよび--somethingが渡されたときに、
# 渡された値を表示
opt.on('-b VAL', '--something VAL') do |v|
  puts "-bが#{v}とともに渡されました"
end

args = opt.parse(ARGV)
# オプションではない残りの引数を表示
p args
